diff --git a/CHANGELOG.md b/CHANGELOG.md
index 3943d2260..e3d179ddd 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -10,6 +10,8 @@
* use FDroid repos on Tor Hidden Services (.onion addresses)
+* support for a HTTP Proxy in Preferences
+
* directly send installed apps to other devices via Bluetooth and Android Beam
(NFC+Bluetooth), also compatible with Samsung/HTC S-Beam
diff --git a/jenkins-build b/jenkins-build
new file mode 100755
index 000000000..244766226
--- /dev/null
+++ b/jenkins-build
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# Jenkins uses this script to set up the ant build. Jenkins will then call
+# ant itself once this script has completed.
+
+set -e
+set -x
+
+# reset version code/name to current date
+versionCodeDate=`date +%s`
+versionNameDate=`date +%Y-%m-%d_%H.%M.%S`
+
+sed -i \
+ -e "s,android:versionCode=\"[0-9][0-9]*\",android:versionCode=\"$versionCodeDate\"," \
+ -e "s,android:versionName=\"\([^\"][^\"]*\)\",android:versionName=\"\1.$versionNameDate\"," \
+ AndroidManifest.xml
+
+. ~/.android/bashrc
+./ant-prepare.sh
diff --git a/res/values/strings.xml b/res/values/strings.xml
index f523a3cb5..9e7772e52 100644
--- a/res/values/strings.xml
+++ b/res/values/strings.xml
@@ -197,6 +197,14 @@
Scan this QR Code to connect to the website for getting started.
Send FDroid via WiFi…
+ Proxy
+ Enable HTTP Proxy
+ Configure HTTP Proxy for all network requests
+ Proxy Host
+ Configure your proxy\'s hostname (e.g. 127.0.0.1)
+ Proxy Port
+ Configure your proxy\'s port number (e.g. 8118)
+